PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PVideoDevice::OpenArgs Struct Reference

`#include <videoio.h>`

Collaboration diagram for PVideoDevice::OpenArgs:
[legend]

## Public Member Functions
| OpenArgs ()

## Public Attributes
PPluginManager * | pluginMgr
PString | driverName
PString | deviceName
VideoFormat | videoFormat
int | channelNumber
PString | colourFormat
bool | convertFormat
unsigned | rate
unsigned | width
unsigned | height
bool | convertSize
ResizeMode | resizeMode
bool | flip
Attributes | m_attributes

## Constructor & Destructor Documentation

PVideoDevice::OpenArgs::OpenArgs | ( |  | ) |

## Member Data Documentation

int PVideoDevice::OpenArgs::channelNumber

PString PVideoDevice::OpenArgs::colourFormat

bool PVideoDevice::OpenArgs::convertFormat

bool PVideoDevice::OpenArgs::convertSize

PString PVideoDevice::OpenArgs::deviceName

PString PVideoDevice::OpenArgs::driverName

bool PVideoDevice::OpenArgs::flip

unsigned PVideoDevice::OpenArgs::height

Attributes PVideoDevice::OpenArgs::m_attributes

PPluginManager* PVideoDevice::OpenArgs::pluginMgr

unsigned PVideoDevice::OpenArgs::rate

ResizeMode PVideoDevice::OpenArgs::resizeMode

VideoFormat PVideoDevice::OpenArgs::videoFormat

unsigned PVideoDevice::OpenArgs::width

The documentation for this struct was generated from the following file:

- videoio.h